ECHO OFF
:MENU
CLS
ECHO.
ECHO    Photoshop CC Icon Resource Extractor/Packer
ECHO.
ECHO       PSCCIcon        Photoshop CC
ECHO       PSCCIcon 2014   Photoshop CC 2014 and 2015
ECHO       PSCCIcon 2017   Photoshop CC 2015.5 and 2017
ECHO.
ECHO    Put these on your Desktop:
ECHO.
ECHO       IconResources.idx
ECHO       PSIconsHighRes.dat
ECHO       PSIconsLowRes.dat
ECHO.
ECHO    Usage:
ECHO.
ECHO      e - PSCCIcon 2017 Extract
ECHO      p - PSCCIcon 2017 Pack
ECHO      w - PSCCIcon 2014 Extract
ECHO      o - PSCCIcon 2014 Pack
ECHO      s - PSCCIcon Extract
ECHO      k - PSCCIcon Pack
ECHO      h - Help
ECHO      q - Quit
ECHO.
SET /P Selection=   Type an option then press ENTER: 
IF %Selection%==e GOTO extract_17
IF %Selection%==p GOTO pack_17
IF %Selection%==w GOTO extract_14
IF %Selection%==o GOTO pack_14
IF %Selection%==a GOTO extract_cc
IF %Selection%==k GOTO pack_cc
IF %Selection%==h GOTO helpme
IF %Selection%==q GOTO EOF
IF %Selection%==1 GOTO MENU
IF %Selection%==2 GOTO MENU
IF %Selection%==3 GOTO MENU
IF %Selection%==4 GOTO MENU
IF %Selection%==5 GOTO MENU
IF %Selection%==6 GOTO MENU
IF %Selection%==7 GOTO MENU
IF %Selection%==8 GOTO MENU
IF %Selection%==9 GOTO MENU
IF %Selection%==0 GOTO MENU
IF %Selection%==r GOTO MENU
IF %Selection%==t GOTO MENU
IF %Selection%==y GOTO MENU
IF %Selection%==u GOTO MENU
IF %Selection%==i GOTO MENU
IF %Selection%==[ GOTO MENU
IF %Selection%==] GOTO MENU
IF %Selection%==\ GOTO MENU
IF %Selection%==a GOTO MENU
IF %Selection%==d GOTO MENU
IF %Selection%==f GOTO MENU
IF %Selection%==g GOTO MENU
IF %Selection%==h GOTO MENU
IF %Selection%==j GOTO MENU
IF %Selection%==l GOTO MENU
IF %Selection%==m GOTO MENU
IF %Selection%==n GOTO MENU
IF %Selection%==b GOTO MENU
IF %Selection%==v GOTO MENU
IF %Selection%==c GOTO MENU
IF %Selection%==x GOTO MENU
IF %Selection%==z GOTO MENU
IF %Selection%==` GOTO MENU

:extract_cc
cd %USERPROFILE%\Desktop
CLS
ECHO.
"C:\Program Files\PSCCIcon\psccIcon.exe" -e IconResources.idx Work
ECHO.
GOTO MENU

:pack_cc
cd %USERPROFILE%\Desktop
CLS
ECHO.
"C:\Program Files\PSCCIcon\psccIcon.exe" -p IconResources.idx Work
GOTO MENU

:extract_14
cd %USERPROFILE%\Desktop
CLS
ECHO.
"C:\Program Files\PSCCIcon\pscc2014Icon.exe" -e IconResources.idx Work
ECHO.
ECHO     Press any key to continue...
PAUSE > NUL
GOTO MENU

:pack_14
cd %USERPROFILE%\Desktop
CLS
ECHO.
"C:\Program Files\PSCCIcon\pscc2014Icon.exe" -p IconResources.idx Work
ECHO.
ECHO     Press any key to continue...
PAUSE > NUL
GOTO MENU

:extract_17
cd %USERPROFILE%\Desktop
CLS
ECHO.
"C:\Program Files\PSCCIcon\pscc2017Icon.exe" -e IconResources.idx Work
ECHO.
ECHO     Press any key to continue...
PAUSE > NUL
GOTO MENU

:pack_17
cd %USERPROFILE%\Desktop
CLS
ECHO.
"C:\Program Files\PSCCIcon\pscc2017Icon.exe" -p IconResources.idx Work
ECHO.
ECHO     Press any key to continue...
PAUSE > NUL
GOTO MENU

:helpme
CLS
ECHO.
ECHO     Photoshop CC Icon Resource Extractor/Packer Help
ECHO.
ECHO  1) Open the folder Photophop.app/Contents/Resources
ECHO     Locate the files "IconResources.idx" "PSIconsHighRes.dat" 
ECHO     and "PSIconsLowRes.dat" and copy them to you Mac's Desktop.
ECHO     Keep these three files, they are the backup of the originals!
ECHO.
ECHO  2) Open the PSIcon.app and press "e" OR "w" to extract the
ECHO     contents of these three files. The version 2017 of psccicon 
ECHO     works with CC 2017 and CC 2015.5 and the version 2014 works 
ECHO     with CC 2015 and CC 2014. 
ECHO.
ECHO  3) A folder called "Work" will be created on the Desktop.
ECHO     Find the .png file that correspond to your splash screen. 
ECHO     Search for "splash". Edit the png image and save the file.
ECHO.
ECHO  4) Now press "p" OR "o" to repack the files. Three files with the
ECHO     same name as the ones on the Desktop will be created INSIDE the
ECHO     folder "Work". These are the edited ones. Move them to the 
ECHO     Photophop.app/Contents/Resources folder and overwrite the ones
ECHO     there. All Done!
ECHO.
ECHO     Press any key to continue...
PAUSE > NUL
GOTO MENU







